# coding: utf-8

from __future__ import annotations
from datetime import date, datetime  # noqa: F401

import re  # noqa: F401
from typing import Any, Dict, List, Optional  # noqa: F401

from pydantic import AnyUrl, BaseModel, EmailStr, Field, validator  # noqa: F401
from openapi_server.models.juice_request import JuiceRequest


class JuiceRequestDB(BaseModel):
    """NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).

    Do not edit the class manually.

    JuiceRequestDB - a model defined in OpenAPI

        juice_request: The juice_request of this JuiceRequestDB.
        state: The state of this JuiceRequestDB.
    """

    juice_request: JuiceRequest = Field(alias="juiceRequest")
    state: str = Field(alias="state")

JuiceRequestDB.update_forward_refs()
